#636 Canon Pixma MG5150 - No print output with MG5100 driver

open
5
2015-02-05
2011-10-25
Anonymous
No

The printer installation works fine using the Gutenprint 5.2.7 MG5100 series driver.

But when I try to print the test page, the printer dialog says "rendering complete" but the page is never printed.

I get this under Ubuntu 11.10 with an Canon Pixma MG5150.

In the forums I found a thread, with another guy having exactly the same error under Gentoo.
It would be nice if someone could look into it.

Discussion

1 2 > >> (Page 1 of 2)
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-10-25

     
  • Hi,
    Thank you for the report. I have submitted changes to the CVS code for the MG series:
    - correct control set for the printers (MG5100, MG5200, MG6200, MG8100)
    - corrected ESC (P command to use 6 bytes instead of 4.

    Please try to use the CVS gutenprint code and let me know how it goes. Alternatively, if you do not wish to compile, we can test by me sending you test print-jobs generated from my computer provided I get an email address for you.

    Regards,
    Gernot Hassenpflug

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-10-25

    Hey Gernot,

    I can't compile the source code, but you can email me the print jobs at: theghost at gmx . net
    It would be nice if you describe how I can run / send the print-jobs to my printer. Thanks so far.

     
  • Ted Marston
    Ted Marston
    2011-10-25

    Hello Gernot,
    I am the "other guy" and have built Gutenprint from CVS today (25th Oct 2011, 16:18 GMT).

    I tried "echo | lpr" using both the Canon driver and the Gutenprint driver but still no printout from
    the Gutenprint driver. I can confirm that the code "1b 28 50 06 00 00 03 00 00 01 00" was sent to
    the printer by the gutenprint driver, but note that no such escape code was sent by the Canon driver.

    I can be contacted on ted at waxworlds dot org

    Ted Marston

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-10-26

    Hello Gernot,

    I tested the printer job file with the following command:

    lpr -P Canon-MG5100-series -o raw mg5100-plain-fast.prn

    using the Gutenprint 5.2.7 printer driver for the target printer. The print
    went fine. Got some BBC news pages :)

    Please send me the other test cases, if you like and I will send them to my
    printer.

    Thanks you for your efforts.

    Best regards,

    TheGhost

     
  • Excellent! I made other quality jobs yesterday too, but they are around 13.5MiB (compared to 3MiB for the "fast" quality) so I will try to make a print of a different page and see if I can send you a reduced-size job.
    Regards,
    Gernot

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-10-26

    hey gernot,
    the second print job did also work fine here. again bbc news :)
    of course, you can send me additional print jobs if you need further testing for the MG5150.
    regards,
    theghost

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-10-26

    just saw your third mail with the single page firefox print jobs.

    draft -> did not work -> printer receives the job, says "in work. please wait" ("in verarbeitung. bitte warten..."). and then does nothing
    std -> works fine
    high -> works fine

    hope that helps ;)

     
  • Thank you for the report. So we know for plain media:
    300dpi draft UNTESTED
    300dpi OK
    600dpi draft FAIL
    600dpi std OK
    600dpi high OK

    The printer driver only offers the 3 modes currently marked as OK, so the other 2 were in fact tests to see if the printer could handle such quality modes. As it apparently cannot, I will delete these modes later and have marked them.

    I will send you a few more test pages, for different media but you can print them on plain paper to see if the printer processes them (the colors may not be great, if they are made for different media, and ink may also be applied not in the best way for plain media...maybe too much.) I'll make sure the contents are small so that you won't waste a lot of ink in the process.

    Regards,
    Gernot

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-10-27

    I tested the next few print jobs, with the follwing results:

    plain-300draft -> failed
    plain-300-mono -> ok
    plain-600high-mono -> ok
    plain-600std-mono -> ok

    PPGgold-photohigh -> ok (but only B/W)
    inkjetHagaki-photohigh -> ok (but only B/W)
    PPmatte-photostd -> ok (but only B/W)
    inkjetHagaki-photostd -> ok (but only B/W)
    PPGgold-photostd -> ok (but only B/W)

    All printouts look pretty much the same, except the quality (e.g. the printed lines).

    Best Regards,
    TheGhost

     
    Last edit: Anonymous 2014-07-30
  • Hello, thank you for the information. That was indeed very productive!
    So for plain media we have now all 3 working modes, for color and B/W. I will remove the 2 other modes which are not supported by the printer.

    As for photo modes, great that the printout worked. Not so great that they are in B/W, but I have sent you one more inkjet Hagaki photo printjob to see if there was some problem or not. According to my parsing of this job, it should be in color, and use CMYk inks. But it may be that the data contained in the printjob is not correctly created by the gutenprint driver, and in fact is B/W only. Please let me know.

    Best regards,
    Gernot

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-10-28

    Hi Gernot,

    tested the next job. Got one printed A4 page, in B/W, except one hyperlink in the text ("said that manufacturers expected") printed in blue.

    You don't have to hurry with the next testcase, because I can (and will) continue testing on monday again.

    Regards,

    TheGh0st

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-11-02

    If you need help with further testing, please let me know.

    Regards,
    TheGhost

     
  • I don't find anything odd in the code right now, so I don't have anything to send you. Why the images are B/W with a bit of blue I do not know. But it certainly shows that there is color there, not only B/W.

     
  • Comment has been marked as spam. 
    Undo

    You can see all pending comments posted by this user  here


    Anonymous
    2011-11-02

    Thank you very much for your great efforts on this, gernot. :)

     
    Last edit: Anonymous 2015-11-28
  • Ted Marston
    Ted Marston
    2011-11-03

    Hey Gernot, excellent work! I have been following your tests with theghost with interest.
    On moday I checked out CVS but it wouldn't compile. On Wednesday I repeated and
    /usr/libexec/cups/filter/rastertogutenprint.5.2 hit a SEGV error, but today's CVS produced
    some output for me on my PIXMA MG5150 using the Gutenprint driver, for the first time!
    Thankyou so much.

    But why does the printer now insist on using paper from its rear feeder, not the lower tray?

    Ted Marston (ted at waxworlds dot org)

     
  • Hello Ted,
    I'm happy the standard modes are working, if you would be happy to test the photo modes (since theghost reported only black and blue, no other colors working) I can send you test files.

    I am sending you a test page printed with the plain media fast mode (300x300dpi) which should use the cassette (I assume this is what the "lower tray" means). Depending on what you are printing from, maybe the application is not passing the correct parameters (like the CUPS test print page, which kind of sucks for trouble-shooting in that regard).

     
  • Ted Marston
    Ted Marston
    2011-11-04

    Hello Gernot, I have now tried all the 600dpi photo image qualities
    for six of the paper types offered by the firefox print menu.

    First let me say that I told firefox to use the cassette paper source in
    every case and I had plain paper in this cassette despite what I told
    firefox.

    Key:
    a = plain paper
    b = glossy photo paper
    c = matte photo paper
    d = ink jet hagaki paper
    e = hagaki k (canon) paper
    g = hagaki paper

    A = 600x600dpi photo high resolution
    B = 600x600dpi photo resolution
    C = 600x600dpi photo draft resolution
    D = 600x600dpi photo high 2 resolution
    E = 600x600dpi photo 2 resolution
    F = 600x600dpi photo draft 2 resolution
    G = 600x600dpi photo high 3 resolution
    H = 600x600dpi photo 3 resolution
    J = 600x600dpi photo draft 3 resolution

    0 = printer was "Processing..." for a while but produced no printout
    X = page printed out in colour

    A B C D E F G H J
    a 0 0 0 0 0 0 0 0 0
    b X 0 0 0 X 0 0 0 0
    c X X 0 0 0 0 0 0 0
    d 0 0 0 0 0 0 X X 0
    e X 0 0 0 X 0 0 0 0
    g 0 0 0 0 0 0 0 0 0

    Thankyou for all your work on this, I hope this is what you needed.
    Please let me know if you want anything "double checking" or further trials.

    Ted Marston

     
  • Ted Marston
    Ted Marston
    2011-11-04

    Sorry that last table looks terrible in proportionally spaced fonts.
    I hope you can still understand it.

     
  • Hello Ted,
    Thank you for your excellent testing work.

    > First let me say that I told firefox to use the cassette paper source in
    > every case and I had plain paper in this cassette despite what I told
    > firefox.

    Yes, that is perfect: use plain media physically.

    Below, I insert some comments for myself, as reference.

    Key:
    a = plain paper
    b = glossy photo paper
    c = matte photo paper
    d = ink jet hagaki paper
    -> this is a photo media
    e = hagaki k (canon) paper
    -> Canon Photo Hagaki Gloss
    same modes as PPgloss
    g = hagaki paper
    -> this is a non-photo media
    and uses same print modes
    as Envelope printing.

    A = 600x600dpi photo high resolution
    -> Photo Hi, Q3
    B = 600x600dpi photo resolution
    -> Photo Hi, Q2
    C = 600x600dpi photo draft resolution
    -> Photo Hi, Q1 (untested)
    D = 600x600dpi photo high 2 resolution
    -> Photo Std, Q3 (untested)
    E = 600x600dpi photo 2 resolution
    -> Photo Std, Q2
    F = 600x600dpi photo draft 2 resolution
    -> Photo Std, Q1 (untested)
    G = 600x600dpi photo high 3 resolution
    -> Photo for inkjet Hagaki, Q3
    H = 600x600dpi photo 3 resolution
    -> Photo for inkjet Hagaki, Q2
    J = 600x600dpi photo draft 3 resolution
    -> Photo for inkjet Hagaki, Q1 (untested)

    So as you see from above, there are basically 3 photo modes,
    each with 2 quality settings possible
    (3rd quality setting was not seen in the driver options
    and so marked as "untested" --- I will remove them now).
    Also Photo Std, Q3 was not seen in the driver, and indeed it
    seems not to have worked for any of your tests.

    Note 1: Usually a photo media has 2 print options ("high" and "standard")
    and will use Photo Hi, Q3 for the former, and Photo Std, Q2 for
    the latter.
    Note 2: Matte photo media uses Photo Hi, Q3 and Photo Hi, Q2 for its
    two modes.
    Note 3: Inkjet Hagaki uses the 3rd photo mode in Q3 and Q2 versions
    for its two modes.

    0 = printer was "Processing..." for a while but produced no printout
    X = page printed out in colour

    | | | | <- removed these from code (C,D,F,J)
    A B C D E F G H J
    a 0 0 0 0 0 0 0 0 0 -> OK (needs plain modes)
    b X 0 0 0 X 0 0 0 0 -> OK
    c X X 0 0 0 0 0 0 0 -> OK
    d 0 0 0 0 0 0 X X 0 -> OK
    e X 0 0 0 X 0 0 0 0 -> OK
    g 0 0 0 0 0 0 0 0 0 -> OK (needs plain modes)

    So it seems that all is working as it should!!!

    Shortly, I will try to add some code to handle Hagaki and Envelope printing
    (they use variants of the standard plain mode "600x600 DPI"). I think
    if you try to print using that now you will not get a result. The reason
    is that both black (K) and photo black (k) are supposed to be output, and
    this is not yet supported (or understood well by me).

    Many thanks Ted, I have updated the code now and you should see fewer modes.
    Best regards,
    Gernot Hassenpflug

     
  • Ted Marston
    Ted Marston
    2011-11-05

    Hello Gernot,
    again I'm using plain paper in the printer's cassette despite what I am telling firefox.
    I have tested some more paper types in the firefox menu, using the last 5 resolutions
    that now remain in the firefox menu. (CVS checked out 2011-11-05 03:01 GMT)

    Key:
    n = Photo Paper Plus Glossy II
    o = Photo Paper Platinum
    p = Photo Paper Plus Semi-gloss
    q = High Resolution Paper
    r = Hagaki A (Address side)
    s = Envelope

    A = 600x600dpi photo high resolution
    B = 600x600dpi photo resolution
    E = 600x600dpi photo 2 resolution
    G = 600x600dpi photo high 3 resolution
    H = 600x600dpi photo 3 resolution

    0 = printer was "Processing..." for a while but produced no printout
    X = page printed out in colour

    A B E G H
    h X 0 X 0 0
    o X 0 X 0 0
    p X 0 X 0 0
    q X X 0 0 0
    r 0 0 0 0 0
    s 0 0 0 0 0

    As you have explained, Hagaki A and Envelope modes did not printout,
    and Photo High 3 and Photo 3 are for ink jet Hagaki paper and these did
    not printout either.

    Please let me know if you need anything "double checking" or I have
    missed something.

    We celebrate the man who tried to blow up our Houses of Parliament today,
    it is party time here tonight, so I will not be available again until monday!

    Ted Marston

     
  • Hello Ted,

    Thank you for your report again. In summary, all appears well. Details
    below.

    The remaining thing to test would be CD printing: CDs use the same
    modes as inkjet Hagaki, namely Photo 2 High and Photo 2 (std).

    > again I'm using plain paper in the printer's cassette despite what I
    > am telling firefox. I have tested some more paper types in the
    > firefox menu, using the last 5 resolutions that now remain in the
    > firefox menu. (CVS checked out 2011-11-05 03:01 GMT)

    Key:
    n = Photo Paper Plus Glossy II
    -> PPGgold
    o = Photo Paper Platinum
    -> PPproPlat
    p = Photo Paper Plus Semi-gloss
    -> PPsemi
    q = High Resolution Paper
    -> HiRes
    r = Hagaki A (Address side)
    -> allHagaki
    s = Envelope

    A = 600x600dpi photo high resolution
    -> PhotoHi, Q3
    B = 600x600dpi photo resolution
    -> PhotoHi, Q2
    E = 600x600dpi photo 2 resolution
    -> PhotoStd, Q2
    G = 600x600dpi photo high 3 resolution
    -> PhotoStd 2, Q3
    H = 600x600dpi photo 3 resolution
    -> PhotoStd 2, Q2

    0 = printer was "Processing..." for a while but produced no printout
    X = page printed out in colour

    A B E G H
    h X 0 X 0 0 -> OK
    o X 0 X 0 0 -> OK
    p X 0 X 0 0 -> OK
    q X X 0 0 0 -> OK (uses PhotoHi mode Q3 & Q2)
    r 0 0 0 0 0 -> OK (needs plain modes)
    s 0 0 0 0 0 -> OK (needs plain modes)

    > As you have explained, Hagaki A and Envelope modes did not printout,
    > and Photo High 3 and Photo 3 are for ink jet Hagaki paper and these did
    > not printout either.

    Excellent. All is exactly as expected.

    > We celebrate the man who tried to blow up our Houses of Parliament today,
    > it is party time here tonight, so I will not be available again until
    > monday!

    Well, cheers, to the time that his successor may succeed! :-)
    I hope you have a good celebration.

    I will work on the code a bit more and post when I have made changes
    to get envelope and Hagaki printing working.

    Regards,
    Gernot

     
  • Ted Marston
    Ted Marston
    2011-11-07

    Hello Guten,
    > Well, cheers, to the time that his successor may succeed! :-)

    :-) Shhh! Someone is listening! :-)

    > The remaining thing to test would be CD printing: CDs use the same
    > modes as inkjet Hagaki, namely Photo 2 High and Photo 2 (std).

    I was not sure exactly what settings to choose to test CD printing.
    In the firefox "Print" menu I chose
    "ink jet Hagaki" paper,
    "Cassette" source,
    "CD - 5 inch" and "CD - 3 inch" paper sizes,
    "600x600 DPI PHOTO HIGH 3" and "600x600 DPI PHOTO 3" qualities.

    In the printer I had plain paper in the lower tray.

    These all produced colour printout (very dark) that would fit
    onto a CD cover, but the BBC News home page was only partly reduced
    in size, so most of the page was cut off.

    Is the BBC News home page a good test for this?
    Do you need other paper types and image qualities testing too?

    Ted Marston

     
  • Hi, I think for CD the only test possible is really printing to something in the CD tray (select CD tray as the source). If you have an old CD that you can test with, that would be fine. I don't think I can spend time right now on tuning colors, but if we can see whether the printing action and ejection and so on works properly, that would be nice.

    I will add Envelope and Hagaki code later tomorrow for testing.
    Regards,
    Gernot

     
  • Ted Marston
    Ted Marston
    2011-11-07

    Hello Gernot,

    The Canon PIXMA MG5150 does not have a CD Tray that I can see
    and the only Paper Sources offerred by the Print menu in firefox are:
    Automatic Paper Source Switching
    Rear Tray
    Cassette
    Continuous Autofeed (both)
    Paper Allocation
    Printer Default

    The bottom tray (Canon calls this the cassette) has adjusters
    that range from 219 - 146mm width, 299 - 209mm length with
    stops for Letter, A4, B5, A5 paper sizes,
    The rear feeder (Canon calls this the rear tray) is continuously
    adjustable from 219 - 52mm width.
    I cannot imagine either of these sources coping with a rigid CD.

    > I will add Envelope and Hagaki code later tomorrow for testing.

    Please let me know which combinations of paper and qualities to
    test when you are ready for me to try these.

    Ted Marston.

     
1 2 > >> (Page 1 of 2)